## com.thingmagic
Class Gen2.LockAction

    java.lang.Object
      com.thingmagic.TagLockAction
          com.thingmagic.Gen2.LockAction

Enclosing class:
  Gen2

    public static class Gen2.LockAction

extends TagLockAction

The arguments to a Reader.lockTag() method for Gen2 tags. Represents the "action" and "mask" bits.

Field Summary
`static Gen2.LockAction` `ACCESS_LOCK` Lock Access Password (readable and writable when access password supplied)
`static Gen2.LockAction` `ACCESS_PERMALOCK` Permanently Lock Access Password (never readable or writable again)
`static Gen2.LockAction` `ACCESS_PERMAUNLOCK` Permanently Unlock Access Password (always readable and writable, may never be locked again)
`static Gen2.LockAction` `ACCESS_UNLOCK` Unlock Access Password (always readable and writable)
`static Gen2.LockAction` `EPC_LOCK` Lock EPC Memory (always readable, writable when access password supplied)
`static Gen2.LockAction` `EPC_PERMALOCK` Permanently Lock EPC Memory (always readable, never writable again)
`static Gen2.LockAction` `EPC_PERMAUNLOCK` Permanently Unlock EPC Memory (always readable and writable, may never be locked again)
`static Gen2.LockAction` `EPC_UNLOCK` Unlock EPC Memory (always readable and writable)
`static Gen2.LockAction` `KILL_LOCK` Lock Kill Password (readable and writable when access password supplied)
`static Gen2.LockAction` `KILL_PERMALOCK` Permanently Lock Kill Password (never readable or writable again)
`static Gen2.LockAction` `KILL_PERMAUNLOCK` Permanently Unlock Kill Password (always readable and writable, may never be locked again)
`static Gen2.LockAction` `KILL_UNLOCK` Unlock Kill Password (always readable and writable)
`static Gen2.LockAction` `TID_LOCK` Lock TID Memory (always readable, writable when access password supplied)
`static Gen2.LockAction` `TID_PERMALOCK` Permanently Lock TID Memory (always readable, never writable again)
`static Gen2.LockAction` `TID_PERMAUNLOCK` Permanently Unlock TID Memory (always readable and writable, may never be locked again)
`static Gen2.LockAction` `TID_UNLOCK` Unlock TID Memory (always readable and writable)
`static Gen2.LockAction` `USER_LOCK` Lock User Memory (always readable, writable when access password supplied)
`static Gen2.LockAction` `USER_PERMALOCK` Permanently Lock User Memory (always readable, never writable again)
`static Gen2.LockAction` `USER_PERMAUNLOCK` Permanently Unlock User Memory (always readable and writable, may never be locked again)
`static Gen2.LockAction` `USER_UNLOCK` Unlock User Memory (always readable and writable)

Constructor Summary
`Gen2.LockAction(Gen2.LockAction... actions)` Construct a new LockAction from a combination of other LockActions.
`Gen2.LockAction(int mask, int action)` Construct a new LockAction from an explicit Gen2 action and mask integer values.

Method Summary
`static Gen2.LockAction` `parse(java.lang.String value)` Convert the string representation into a LockAction object.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KILL_LOCK

    public static final Gen2.LockAction KILL_LOCK

  Lock Kill Password (readable and writable when access password supplied)

### KILL_UNLOCK

    public static final Gen2.LockAction KILL_UNLOCK

  Unlock Kill Password (always readable and writable)

### KILL_PERMALOCK

    public static final Gen2.LockAction KILL_PERMALOCK

  Permanently Lock Kill Password (never readable or writable again)

### KILL_PERMAUNLOCK

    public static final Gen2.LockAction KILL_PERMAUNLOCK

  Permanently Unlock Kill Password (always readable and writable, may never be locked again)

### ACCESS_LOCK

    public static final Gen2.LockAction ACCESS_LOCK

  Lock Access Password (readable and writable when access password supplied)

### ACCESS_UNLOCK

    public static final Gen2.LockAction ACCESS_UNLOCK

  Unlock Access Password (always readable and writable)

### ACCESS_PERMALOCK

    public static final Gen2.LockAction ACCESS_PERMALOCK

  Permanently Lock Access Password (never readable or writable again)

### ACCESS_PERMAUNLOCK

    public static final Gen2.LockAction ACCESS_PERMAUNLOCK

  Permanently Unlock Access Password (always readable and writable, may never be locked again)

### EPC_LOCK

    public static final Gen2.LockAction EPC_LOCK

  Lock EPC Memory (always readable, writable when access password supplied)

### EPC_UNLOCK

    public static final Gen2.LockAction EPC_UNLOCK

  Unlock EPC Memory (always readable and writable)

### EPC_PERMALOCK

    public static final Gen2.LockAction EPC_PERMALOCK

  Permanently Lock EPC Memory (always readable, never writable again)

### EPC_PERMAUNLOCK

    public static final Gen2.LockAction EPC_PERMAUNLOCK

  Permanently Unlock EPC Memory (always readable and writable, may never be locked again)

### TID_LOCK

    public static final Gen2.LockAction TID_LOCK

  Lock TID Memory (always readable, writable when access password supplied)

### TID_UNLOCK

    public static final Gen2.LockAction TID_UNLOCK

  Unlock TID Memory (always readable and writable)

### TID_PERMALOCK

    public static final Gen2.LockAction TID_PERMALOCK

  Permanently Lock TID Memory (always readable, never writable again)

### TID_PERMAUNLOCK

    public static final Gen2.LockAction TID_PERMAUNLOCK

  Permanently Unlock TID Memory (always readable and writable, may never be locked again)

### USER_LOCK

    public static final Gen2.LockAction USER_LOCK

  Lock User Memory (always readable, writable when access password supplied)

### USER_UNLOCK

    public static final Gen2.LockAction USER_UNLOCK

  Unlock User Memory (always readable and writable)

### USER_PERMALOCK

    public static final Gen2.LockAction USER_PERMALOCK

  Permanently Lock User Memory (always readable, never writable again)

### USER_PERMAUNLOCK

    public static final Gen2.LockAction USER_PERMAUNLOCK

  Permanently Unlock User Memory (always readable and writable, may never be locked again)

Constructor Detail

### Gen2.LockAction

    public Gen2.LockAction(Gen2.LockAction... actions)

  Construct a new LockAction from a combination of other LockActions.

  Parameters:
    `actions` - lock actions to combine. If a data field is repeated, the last one takes precedence; e.g., Gen2.LockAction.USER_LOCK, Gen2.LockAction.USER_UNLOCK turns into Gen2.LockAction.USER_UNLOCK.

### Gen2.LockAction

    public Gen2.LockAction(int mask,
                           int action)

  Construct a new LockAction from an explicit Gen2 action and mask integer values. Only the bottom ten bits of each value are used.

  Parameters:
    `mask` - bitmask of which bits to set
    `action` - the bit values to set

Method Detail

### parse

    public static Gen2.LockAction parse(java.lang.String value)

  Convert the string representation into a LockAction object.

  Parameters:
    `value` - A string containing the name to convert. May be the name of one of the predefined constants, or a comma-separated list of the names.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`